#ifndef TOOLADDPOLYGON_H_
#define TOOLADDPOLYGON_H_

#include "Tool.h"
#include "EditManager.h"

class ToolAddPolygon : public Tool {
  private:
    GtkWidget *image;
    
    EditManager *editManager;
    
    // prevent shallow copy
    ToolAddPolygon(const ToolAddPolygon &t);
    const ToolAddPolygon& operator=(const ToolAddPolygon &t);
    
  public:
    ToolAddPolygon(EditManager *editManager);
    virtual ~ToolAddPolygon();
    
    virtual void activate();
    virtual void deactivate();
    
    virtual const char *getType() const {
      return "ToolAddPolygon";
    }
    
    virtual const char *getName() const {
      return "Add polygonal room";
    }
    
    bool isSensitive() {
      return TRUE;
    }
    
    virtual GtkWidget *getImage() {
      return image;
    }
};

#endif /*TOOLADDPOLYGON_H_*/
